apiVersion: v1
kind: Service
metadata:
  name: todo-app-service
  annotations:
    cloud.google.com/app-protocols: '{"https-port":"HTTPS","http-port":"HTTP"}'
spec:
  type: NodePort
  selector:
      app: todo-app
  ports:
    - name: https-port
      port: 443
      targetPort: 3000
    - name: http-port
      port: 8080
      targetPort: 3000
